# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.PropertyPowerProduction do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :id,
    :ListingKeyNumeric,
    :PowerProductionAnnual,
    :PowerProductionKeyNumeric,
    :PowerProductionSize,
    :PowerProductionYearInstall,
    :ListingId,
    :ListingKey,
    :PowerProductionKey,
    :PowerProductionAnnualStatus,
    :PowerProductionType,
    :ModificationTimestamp,
    :Property
  ]

  @type t :: %__MODULE__{
    :id => integer() | nil,
    :ListingKeyNumeric => float() | nil,
    :PowerProductionAnnual => float() | nil,
    :PowerProductionKeyNumeric => float() | nil,
    :PowerProductionSize => float() | nil,
    :PowerProductionYearInstall => float() | nil,
    :ListingId => String.t | nil,
    :ListingKey => String.t | nil,
    :PowerProductionKey => String.t | nil,
    :PowerProductionAnnualStatus => String.t | nil,
    :PowerProductionType => String.t | nil,
    :ModificationTimestamp => Date.t | nil,
    :Property => FoyerAPI.Model.Property.t | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.PropertyPowerProduction do
  import FoyerAPI.Deserializer
  def decode(value, options) do
    value
    |> deserialize(:ModificationTimestamp, :date, nil, options)
    |> deserialize(:Property, :struct, FoyerAPI.Model.Property, options)
  end
end

